# Name: Daniel Berteaud

%define name smeserver-qpsmtpd-removereturnreceiptto
%define version 0.1
%define release 2

Summary: qpsmtpd plugin which remove the Return-Receipt-To header
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL (GNU General Public License)
Group: Mail
Source: %{name}-%{version}.tar.gz
Patch1:	smeserver-qpsmtpd-removereturnreceiptto-0.1-remove_local.patch
BuildRoot: /var/tmp/%{realname}-%{version}-buildroot/
BuildArch: noarch
Requires: smeserver-release >= 7
BuildRequires: e-smith-devtools
AutoReqProv: no

%description
Plugin which remove the Return-Receipt-To header
on mail comming from the outside

%changelog
* Fri Jul 22 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-2.sme
- Also remove headers from local networks

* Wed Jun 29 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-1.sme
- initial release

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
